Bug 1949554 - Metrics of vSphere CSI driver sidecars are not collected
Summary: Metrics of vSphere CSI driver sidecars are not collected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-14 14:25 UTC by Jan Safranek
Modified: 2021-07-27 23:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 161 0 None open Bug 1949554: Pass KUBE_RBAC_PROXY to vSphere CSI driver operator 2021-04-14 14:28:21 UTC
Github openshift vmware-vsphere-csi-driver-operator pull 16 0 None open Bug 1949554: vSphere: Add metrics scraping 2021-04-14 14:28:35 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:47 UTC

Description Jan Safranek 2021-04-14 14:25:32 UTC
When the vSphere CSI driver is installed, we do not collect metrics of its CSI drivers.

Comment 2 Wei Duan 2021-04-20 03:53:48 UTC
Verified pass on 4.8.0-0.nightly-2021-04-19-121657

$ oc get pvc -A 
NAMESPACE      NAME    STATUS   VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS   AGE
wduan-csi      mypvc   Bound    pvc-ea0489b7-468c-41ed-8870-0534bb13159d   2Gi        RWO            thin-csi       9m52s
wduan-intree   mypvc   Bound    pvc-713ca14d-694c-4091-bf8a-9f1ae73a3773   2Gi        RWO            thin           12m


 TYPE kubelet_volume_stats_available_bytes gauge
kubelet_volume_stats_available_bytes{namespace="wduan-csi",persistentvolumeclaim="mypvc"} 1.916198912e+09
kubelet_volume_stats_available_bytes{namespace="wduan-intree",persistentvolumeclaim="mypvc"} 2.023571456e+09

Comment 4 Jan Safranek 2021-04-23 10:12:08 UTC
`unknown-driver` is OK. It comes from the sidecars when it calls GetPluginInfo to get the driver name. The sidecar does not know name of the driver yet at that point. Therefore it's accounted as 'unknown-driver'. You could see also other calls with `unknown-driver`, such as Probe().

Comment 5 Wei Duan 2021-04-23 13:10:36 UTC
Thanks, change the status to Verified.

Comment 8 errata-xmlrpc 2021-07-27 23:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.